Bug 1466657 - logging-curator 3.6.126.1 container not found - logging-curator won't start
logging-curator 3.6.126.1 container not found - logging-curator won't start
Status: RELEASE_PENDING
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.6.z
Assigned To: Justin Pierce
Mike Fiedler
aos-scalability-36
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 03:38 EDT by Mike Fiedler
Modified: 2018-01-22 10:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Fiedler 2017-06-30 03:38:14 EDT
Description of problem:

Deployed logging with the inventory below on v3.6.126.1.   The logging-curator pod fails to start because there is no container with that image.   The rest of the logging pods (elasticsearch, fluentd, fluentd-mux and kibana) start ok.

Warning   Failed    kubelet, 172.16.0.7   Failed to pull image "registry.ops.openshift.com/openshift3/logging-curator:v3.6.126.1": rpc error: code = 2 desc = manifest unknown: manifest unknown


Version-Release number of selected component (if applicable): 3.6.126.1


How reproducible: Always


Steps to Reproduce:
1. Deploy logging with the inventory below


Actual results:

logging-curator fails to start - container not found

Expected results:

no error

Additional info:
[oo_first_master]

172.16.0.8

[oo_first_master:vars]
openshift_deployment_type=openshift-enterprise
openshift_release=v3.6.0

openshift_logging_install_logging=true
openshift_logging_use_ops=false
openshift_logging_master_url=https://172.16.0.20:8443
openshift_logging_master_public_url=https://10.12.70.33:8443
openshift_logging_kibana_hostname=kibana.ocp.net
openshift_logging_namespace=logging
openshift_logging_image_prefix=registry.ops.openshift.com/openshift3/
openshift_logging_image_version=v3.6.126.1
openshift_logging_es_pvc_dynamic=true
openshift_logging_es_pvc_size=250Gi
openshift_logging_fluentd_use_journal=true
openshift_logging_use_mux=true
openshift_logging_use_mux_client=true
Comment 1 Justin Pierce 2017-06-30 11:24:15 EDT
This image was not being built alongside OCP. I've added it and it should begin being published for all future builds.
Comment 2 Mike Fiedler 2017-07-06 09:54:41 EDT
Verified on 3.6.133

Note You need to log in before you can comment on or make changes to this bug.